addwine/addwine/urls.py
from django.conf import settings
from django.conf.urls import url, include
from django.conf.urls.static import static
from django.contrib import admin

from addwine.app import application
from web.views import Error404PageView, admin_index_override
from search.views_api import SearchResultView

handler404 = Error404PageView.as_view()

urlpatterns = [
    url(r'admin/$', admin_index_override, name='index', ),
    url(r'^admin_tools/', include('admin_tools.urls')),
    url(r'^admin/', admin.site.urls),
    url(r'^', include('common.urls')),
    url(r'^', include('sommeliers.urls')),
    url(r'^api/', include('search.urls')),
    url(r'^search/load/(?P<query>[\w ]+)', SearchResultView.as_view(), name='product-search-load'),
    url(r'^', include('recommendation_emails.urls')),
    url(r'', include(application.urls)),


    url(r'^utils/marketing/', include('marketing.urls')),
    url(r'^utils/catalogue/', include('catalogue.urls')),
    url(r'^utils/catalogue/', include('offer.urls')),
    url(r'^utils/checkout/', include('checkout.urls')),
    url(r'^utils/news/', include('news.urls', namespace='news')),
    url(r'^utils/customer_extension/', include('customer.urls', namespace='customer_extension')),
    url(r'^utils/feedback/', include('feedback.urls', namespace='feedback')),
    url(r'^utils/basket/', include('basket.urls', namespace='basket_extension')),
    url(r'^utils/ckeditor/', include('ckeditor_uploader.urls')),
    url(r'^utils/ckeditor/', include('ckeditor_uploader.urls')),
    url(r'^utils/vouchers/', include('voucher.urls', namespace='voucher_extension')),
    url(r'^utils/sommelier_bot/', include('sommelier_bot.urls', namespace='sommelier_bot')),
    url(r'^utils/amocrm_api/', include('amocrm_api.urls', namespace='amocrm_api')),
    url(r'^utils/', include('yandex_market.urls', namespace='yandex_market')),

    url(r'^', include('web.urls')),
]

if settings.DEBUG:
    import debug_toolbar
    urlpatterns += static(settings.STATIC_URL, document_root=settings.STATIC_ROOT)
    urlpatterns += static(settings.MEDIA_URL, document_root=settings.MEDIA_ROOT)
    urlpatterns = [
                      url(r'^__debug__/', include(debug_toolbar.urls)),
                  ] + urlpatterns

addwine/customer/urls.py
from django.conf import settings
from django.conf.urls import url

from catalogue.models import Product, Category, ProductClass
from common.views import robots, get_admin_autocomplete_view
from django.contrib.sitemaps.views import sitemap

from customer.models import User, CommunicationEventType
from customer.views import ProductAlertAddView, BirthdaySaveView

urlpatterns = [
    url(r'autocomplete/customer/users', get_admin_autocomplete_view(User, 'username').as_view()
        , name='autocomplete_user'),
    url(r'autocomplete/customer/email_templates', get_admin_autocomplete_view(CommunicationEventType, 'name').as_view()
        , name='autocomplete_email_templates'),
    url(r'product_alert/add$', ProductAlertAddView.as_view(), name='product-alert-add'),
    url(r'birthday/save$', BirthdaySaveView.as_view(), name='birthday-save'),
]

addwine/feedback/urls.py
from django.conf.urls import url

from . import views

urlpatterns = [
    url(r'question_send$', views.QuestionView.as_view(), name="question_send"),
    url(r'backcall_send$', views.BackCallView.as_view(), name="backcall_send"),
    url(r'slider_cta_request_send', views.SliderCTARequestView.as_view(), name="slider_cta_request_send"),
]

addwine/gallery/urls.py
from django.conf.urls import url

addwine/web/urls.py
from django.conf.urls import url

from web.views import AboutPageView, ContactsPageView, FaqPageView, ArticlesPageView, DeliveryPageView, \
    PersonalPageView, BrandPageView, ArticlePageView, ConfidentialDataPageView, \
    VoucherGroupPageView, RangeDiscountPageView, OffertPageView, admin_index_override

urlpatterns = [
    url(r'about$',
        AboutPageView.as_view(),
        name='about'
    ),
    url(r'contacts$',
        ContactsPageView.as_view(),
        name='contacts'
    ),
    url(r'faq$',
        FaqPageView.as_view(),
        name='faq'
    ),

    url(r'articles$', ArticlesPageView.as_view(), name='articles'),
    url(r'articles/(?P<category_slug>[\w-]+)$', ArticlesPageView.as_view(), name='article_category'),
    url(r'articles/(?P<category_slug>[\w-]+)/(?P<article_slug>[\w-]+)$',
        ArticlePageView.as_view(),
        name='article'
    ),

    url(r'sales/(?P<sale_slug>[\w-]+)$', RangeDiscountPageView.as_view(), name='discount'),
    url(r'voucher/(?P<sale_slug>[\w-]+)$', VoucherGroupPageView.as_view(), name='voucher'),

    url(r'delivery$',
        DeliveryPageView.as_view(),
        name='delivery'
    ),
    url(r'policy-personal-data$',
        PersonalPageView.as_view(),
        name='personal'
    ),
    url(r'confidential-policy$',
        ConfidentialDataPageView.as_view(),
        name='confident'
    ),
    url(r'offert$',
        OffertPageView.as_view(),
        name='offert'
    ),
    url(r'brands/(?P<slug>[\w-]+)',
        BrandPageView.as_view(),
        name='brand'
    ),
]

addwine/web/templates/web/modals/backcall.html
{% load widget_tweaks %}

<div class="modal fade" id="modalCall" tabindex="-1" role="dialog" aria-labelledby="1" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Заказать звонок</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                            <span class="icon-close">
                                <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                    <style type="text/css">
                                        .st0 {
                                            fill-rule: evenodd;
                                            clip-rule: evenodd;
                                        }
                                    </style>
                                    <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                    <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                                </svg>
                            </span>
                </button>
            </div>
            <div class="modal-body">
                <form data-parsley-validate="" method="post" action="{% url 'feedback:backcall_send' %}" data-yandex-goal="zakazzvonka">
                    {% csrf_token %}
                    <div class="form-group" id="backcallFormNameField">
                        <label for="name" class="col-form-label">ИМЯ {% if form_backcall.name.field.required %}<span class="icon-star">*</span>{% endif %}</label>
                        <div>
                            {% with form_backcall.name.field.required|yesno:'true,false' as required %}
                            {% render_field form_backcall.name class="form-control" id="name" placeholder="Как Вас зовут?" data-parsley-required=required data-parsley-maxlength=form_backcall.name.field.max_length data-parsley-class-handler="#backcallFormNameField" %}
                            {% endwith %}
                        </div>
                    </div>
                    <div class="form-group" id="backcallFormPhoneField">
                        <label for="backcallPhone" class="col-form-label">Телефон <span class="icon-star">*</span></label>
                        <div>
                            {% with form_backcall.phone_number.field.required|yesno:'true,false' as required %}
                            {% render_field form_backcall.phone_number class="form-control" id="backcallPhone" placeholder="+7 (***) *** ** **" data-parsley-validate-phone-number="" data-parsley-required=required data-parsley-class-handler="#backcallFormPhoneField" %}
                            {% endwith %}
                        </div>
                    </div>
                    <div class="btn-block">
                        <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                    </div>
                    <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}"> согласие на обработку
                        персональных данных</a></div>
                </form>
            </div>
        </div>
    </div>
</div>

addwine/web/templates/web/modals/basket_fast_buy.html
{% load widget_tweaks %}

<div class="modal fade" id="basketfastbuy" tabindex="-1" role="dialog" aria-labelledby="1" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Быстрая покупка</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="product-sec">
                    <p>Просто введите телефон и мы свяжемся с Вами для уточнения деталей заказа.</p>
                </div>
                <form method="post" action="{% url 'checkout:basket-fast-checkout' %}" data-parsley-validate="" data-yandex-goal="bistrotpr">
                    {% csrf_token %}
                    <div class="form-group" id="fastbuyNameField">
                        <label class="col-form-label">Ваше имя <span class="icon-star">*</span></label>
                        <div>
                            {% render_field form_fast_checkout.first_name class="form-control" id="firstName" placeholder="Как Вас зовут?" data-parsley-required="true" data-parsley-maxlength=form_backcall.name.field.max_length data-parsley-class-handler="#fastbuyNameField" %}
                        </div>
                    </div>
                    <div class="form-group" id="fastbuyPhoneField">
                        <label for="fastbuyPhone" class="col-form-label">Телефон <span class="icon-star">*</span></label>
                        <div class="">
                            {% render_field form_basket_fast_checkout.phone_number class="form-control" id="fastbuyPhone" placeholder="+7 (***) *** ** **" data-parsley-required="true"  data-parsley-class-handler="#fastbuyPhoneField"  data-parsley-validate-phone-number="" %}
                        </div>
                    </div>
                    <div class="btn-block">
                        <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                    </div>
                    <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}"> согласие на обработку
                        персональных данных</a></div>
                </form>
            </div>
        </div>
    </div>
</div>

addwine/web/templates/web/modals/birthday_save.html
{% load static %}
{% load widget_tweaks %}

<div class="modal fade" id="saveBirthdayModal" tabindex="-1" role="dialog" aria-labelledby="3" aria-hidden="true">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="info">
                    Спасибо! Заказ № {{ last_order_id }} успешно оформлен!<br>
                    Наш оператор свяжется с Вами для уточнения деталей!
                </div>
                <div class="cta">
                    <div class="birthday-wrap">
                        <div class="text">
                            <p>В день рождения Вас будет ждать приятный сюрприз!</p>
                            <div class="personage-wrap mobile">
                                <img src="{% static 'web/img/personage/complete-checkout.svg' %}" alt="Заказ успешно оформлен">
                            </div>
                        </div>
                        <form class="birthday" action="{% url 'customer_extension:birthday-save' %}" method="post">
                            <p class="title">Введите дату рождения</p>
                            <div class="data">
                                {% csrf_token %}
                                <input hidden name="user" value="{{ last_client_id }}" data-parsley-required=true>
                                <div class="fields" id="saveBirthdayModalFields">
                                    <div class="count-sec day-wrap">
                                        <div class="input-group counter">
                                            {% render_field form_birthday_save.day id="birthdayModalDay" class="form-control input-number number" placeholder="День" %}
                                        </div>
                                    </div>
                                    <div class="count-sec month-wrap">
                                        <div class="input-group counter">
                                            {% render_field form_birthday_save.month id="birthdayModalMonth" class="form-control input-number number" placeholder="Месяц" %}
                                        </div>
                                    </div>
                                    <div class="count-sec year-wrap">
                                        <div class="input-group counter">
                                            {% render_field form_birthday_save.year id="birthdayModalYear" class="form-control input-number number" placeholder="Год"  %}
                                        </div>
                                    </div>
                                </div>
                                <button class="btn btn__transparent" type="submit">Отправить</button>
                            </div>
                        </form>
                    </div>
                    <div class="personage-wrap desktop">
                        <img src="{% static 'web/img/personage/complete-checkout.svg' %}" alt="Заказ успешно оформлен">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

addwine/web/templates/web/modals/complete.html
{% load static %}
<div class="modal fade" id="completeModal" tabindex="-1" role="dialog" aria-labelledby="3" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="modal-body">
                <div class="product_alert response">
                    <div class="text text-center">
                        Ваша заявка принята. Мы сообщим Вам как только товар будет в наличии
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-product-alert.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="sommelier_cta_request response">
                    <div class="text text-center">
                        Сомелье свяжется с Вами в течении 15 минут!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-slider-cta.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="slider_cta_request response">
                    <div class="text text-center">
                        Оператор свяжется c Вами
                        в течении 15 минут, для уточнения деталей!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-slider-cta.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="backcall response">
                    <div class="text text-center">
                        Оператор свяжется c Вами
                        в течении 15 минут!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-backcall.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="fast_checkout checkout response">
                    <div class="text text-center">
                        Спасибо за заявку.
                        Оператор свяжется c Вами
                        в течении 15 минут!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-fast-checkout.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="mail_cta_request response">
                    <div class="text text-center">
                        На указанный email-адрес будет отправлена запрашиваемая статья!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-mail-cta.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="subscribe_for_discount response">
                    <div class="text text-center">
                        Подписка на скидку успешно оформлена!
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-subscribe-for-discount.svg' %}" alt="AddWine">
                    </div>
                </div>
                <div class="question response">
                    <div class="text text-center">
                        Спасибо за Ваш интерес! Мы вышлем ответ на Ваш вопрос в ближайшее время
                    </div>
                    <div class="img-block">
                        <img src="{% static 'web/img/personage/complete-question.svg' %}" alt="AddWine">
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

addwine/web/templates/web/modals/request_alert.html
{% load widget_tweaks %}

<div class="modal fade" id="requestAlert" tabindex="-1" role="dialog" aria-labelledby="1" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Заявка на предзаказ</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" id="Слой_1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="modal-body">
                <form method="post" action="{% url 'customer_extension:product-alert-add' %}" data-parsley-validate="">
                    <div class="product-sec">
                        <div class="clearfix">
                            <div class="img-block">
                                <img />
                            </div>
                            <div class="desc">
                                <div class="name"></div>
                                <div class="price">
                                    <span class="value"></span>
                                    <span class="rub-icon">
                                        <svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 5 6" style="enable-background:new 0 0 5 6;" xml:space="preserve">
                                            <path d="M5,1.8C5,0.8,4.1,0,3.1,0v0H0.6v3H0v0.6h0.6v0.6H0V5h0.6v1h0.7V5h1.5V4.3H1.3V3.7h1.7v0C4.1,3.7,5,2.8,5,1.8z M3,3H1.3V0.6 h1.7v0l0,0c0.7,0,1.3,0.5,1.3,1.2C4.3,2.5,3.7,3,3,3z"/>
                                        </svg>
                                    </span>
                                </div>
                                <div class="form-group" id="requestAlertCountField">
                                  <label for="requestAlertCount" class="col-form-label" style="line-height: 46px;padding: 0;">Количество: </label>
                                  <div class="w-25 ml-1 float-right">
                                    {% render_field form_product_alert.count class="form-control" default=1 data-parsley-require=form_product_alert.count.field.required data-parsley-class-handler="#requestAlertCountField" %}
                                  </div>
                                </div>
                            </div>
                        </div>
                        <p>Мы сообщим Вам как только товар поступит в продажу!</p>
                    </div>
                    {% csrf_token %}
                    <input type="number" name="product" required hidden>
                    <div class="form-group" id="requestAlertNameField">
                        <label for="requestAlertName" class="col-form-label">ИМЯ <span class="icon-star">*</span></label>
                        <div class="">
                            {% render_field form_product_alert.name class="form-control" placeholder="Как Вас зовут?" data-parsley-require=form_product_alert.name.field.required data-parsley-class-handler="#requestAlertNameField" %}
                        </div>
                    </div>
                    <div class="form-group" id="requestAlertEmailField">
                        <label for="requestAlertEmail" class="col-form-label">E-MAIL {% if form_product_alert.email.field.required %}<span class="icon-star">*</span>{% endif %}</label>
                        <div class="">
                            {% render_field form_product_alert.email class="form-control" placeholder="yourmail@mail.ru" data-parsley-require=form_product_alert.email.field.required data-parsley-class-handler="#requestAlertEmailField" %}
                        </div>
                    </div>
                    <div class="form-group" id="requestAlertPhoneField">
                        <label for="requestAlertPhone" class="col-form-label">Телефон {% if form_product_alert.phone_number.field.required %}<span class="icon-star">*</span>{% endif %}</label>
                        <div class="">
                            {% render_field form_product_alert.phone_number class="form-control" placeholder="+7 (***) *** ** **" data-parsley-require=form_product_alert.phone_number.field.required data-parsley-class-handler="#requestAlertPhoneField"  data-parsley-validate-phone-number="" %}
                        </div>
                    </div>
                    <div class="btn-block">
                        <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                    </div>
                    <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку
                        персональных данных</a></div>
                </form>
            </div>
        </div>
    </div>
</div>

addwine/web/templates/web/modals/slider_cta.html
{% load widget_tweaks %}

<div class="modal fade" id="modalSliderCTA" tabindex="-1" role="dialog" aria-labelledby="2" aria-hidden="true">
    <div class="modal-dialog modal-sm" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Оставить заявку</h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
						<span class="icon-close">
							<svg version="1.1" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" x="0px" y="0px" viewBox="0 0 13.1 13.1" style="enable-background:new 0 0 13.1 13.1;" xml:space="preserve">
                                <style type="text/css">
                                    .st0 {
                                        fill-rule: evenodd;
                                        clip-rule: evenodd;
                                    }
                                </style>
                                <path id="XMLID_297_" class="st0" d="M12.3,13L0.1,0.8C0,0.7,0,0.4,0.1,0.3l0.2-0.2C0.4,0,0.7,0,0.8,0.1L13,12.3  c0.1,0.1,0.1,0.4,0,0.5L12.8,13C12.7,13.2,12.5,13.2,12.3,13z"/>
                                <path id="XMLID_267_" class="st0" d="M13,0.8L0.8,13c-0.1,0.1-0.4,0.1-0.5,0l-0.2-0.2c-0.1-0.1-0.1-0.4,0-0.5L12.3,0.1  c0.1-0.1,0.4-0.1,0.5,0L13,0.3C13.2,0.4,13.2,0.7,13,0.8z"/>
                            </svg>
						</span>
                </button>
            </div>
            <div class="modal-body">
                <form data-parsley-validate="" novalidate method="post" action="{% url 'feedback:slider_cta_request_send' %}">
                    {% csrf_token %}
                    <input name="slide" type="number" hidden required/>
                    <div class="form-group" id="productTestDriveFormNameField">
                        <label for="name" class="col-form-label">ИМЯ <span class="icon-star">*</span></label>
                        <div>
                            {% with form_product_test_drive.name.field.required|yesno:"true,false" as required %}
                            {% render_field form_product_test_drive.name class="form-control" id="name" placeholder="Как Вас зовут?" data-parsley-required=required data-parsley-maxlength=form_product_test_drive.name.field.max_length data-parsley-class-handler="#productTestDriveFormNameField" %}
                            {% endwith %}
                        </div>
                    </div>
                    <div class="form-group" id="productTestDriveFormPhoneField">
                        <label for="phone" class="col-form-label">Телефон или E-mail<span class="icon-star">*</span></label>
                        <div>
                            {% with form_product_test_drive.contact.field.required|yesno:"true,false" as required %}
                            {% render_field form_product_test_drive.contact class="form-control" id="contact" placeholder="Ваши контакты" data-parsley-required=required data-parsley-maxlength=form_product_test_drive.contact.field.max_length data-parsley-class-handler="#productTestDriveFormPhoneField" %}
                            {% endwith %}
                        </div>
                    </div>
                    <div class="btn-block">
                        <button type="submit" class="btn btn__transparent">ОТПРАВИТЬ</button>
                    </div>
                    <div class="small">Нажатием кнопки «Отправить» я даю свое <a target="_blank" href="{% url 'personal' %}">согласие на обработку
                        персональных данных</a></div>
                </form>
            </div>
        </div>
    </div>
</div>